@base <https://purl.org/coscine/ap/sfb1394/TEM/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394TEM: <https://purl.org/coscine/ap/sfb1394/TEM#> .

 # TEM 
<https://purl.org/coscine/ap/sfb1394/TEM/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 TEM"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/TEM/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394TEM:ID ;
  sh:property coscineSfb1394TEM:aliasID ;
  sh:property coscineSfb1394TEM:user ;
  sh:property coscineSfb1394TEM:date ;
  sh:property coscineSfb1394TEM:affiliation ;
  sh:property coscineSfb1394TEM:dois ;
  sh:property coscineSfb1394TEM:temperature ;
  sh:property coscineSfb1394TEM:relativeHumidity ;
  sh:property coscineSfb1394TEM:environmentalGas ;
  sh:property coscineSfb1394TEM:operator ;
  sh:property coscineSfb1394TEM:instrumentId ;
  sh:property coscineSfb1394TEM:sampleId ;
  sh:property coscineSfb1394TEM:parentSampleId ;
  sh:property coscineSfb1394TEM:anyDataSetToBeLinkedWithThisExperiment ;
  sh:property coscineSfb1394TEM:TestingEnv ;
  sh:property coscineSfb1394TEM:pre-treatment ;
  sh:property coscineSfb1394TEM:measurementPosition ;
  sh:property coscineSfb1394TEM:acceleratingVoltage ;
  sh:property coscineSfb1394TEM:current ;
  sh:property coscineSfb1394TEM:acquisitionMode ;
  sh:property coscineSfb1394TEM:workingDistance ;
  sh:property coscineSfb1394TEM:lightingMode ;
  sh:property coscineSfb1394TEM:operationMode ;
  sh:property coscineSfb1394TEM:magnificationTEM ;
  sh:property coscineSfb1394TEM:electronSource ;
  sh:property coscineSfb1394TEM:electronDose ;
  sh:property coscineSfb1394TEM:dwellTime ;
  sh:property coscineSfb1394TEM:dataDimension ;
  sh:property coscineSfb1394TEM:1stDimensionUnit ;
  sh:property coscineSfb1394TEM:1stDimensionPixels ;
  sh:property coscineSfb1394TEM:1stDimensionUnitScaling ;
  sh:property coscineSfb1394TEM:1stDimensionStartingPixel ;
  sh:property coscineSfb1394TEM:2ndDimensionUnit ;
  sh:property coscineSfb1394TEM:2ndDimensionPixels ;
  sh:property coscineSfb1394TEM:2ndDimensionUnitScaling ;
  sh:property coscineSfb1394TEM:2ndDimensionStartingPixel ;
  sh:property coscineSfb1394TEM:3rdDimensionUnit ;
  sh:property coscineSfb1394TEM:3rdDimensionPixels ;
  sh:property coscineSfb1394TEM:3rdDimensionUnitScaling ;
  sh:property coscineSfb1394TEM:3rdDimensionStartingPixel ;
  sh:property coscineSfb1394TEM:otherDimensionsInfo ;
  sh:property coscineSfb1394TEM:measurementDateTime ;
  sh:property coscineSfb1394TEM:comments ;
.

coscineSfb1394TEM:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394TEM:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394TEM:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394TEM:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394TEM:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394TEM:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394TEM:temperature 
  sh:path sfb1394:temperature ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Temperature [°C]"@en, "Temperature [°C]"@de ;
  qudt:Unit unit:Deg_C ;
. 

coscineSfb1394TEM:relativeHumidity 
  sh:path sfb1394:relativeHumidity ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Relative humidity [%]"@en, "Relative humidity [%]"@de ;
  qudt:Unit unit:PERCENT_RH ;
. 

coscineSfb1394TEM:environmentalGas 
  sh:path sfb1394:environmentalGas ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental gas"@en, "Environmental gas"@de ;
. 

coscineSfb1394TEM:operator 
  sh:path sfb1394:operator ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operator"@en, "Operator"@de ;
. 

coscineSfb1394TEM:instrumentId 
  sh:path csmd:investigation_instrument ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Instrument ID"@en, "Instrument ID"@de ;
. 

coscineSfb1394TEM:sampleId 
  sh:path csmd:investigation_sample ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Sample ID"@en, "Sample ID"@de ;
. 

coscineSfb1394TEM:parentSampleId 
  sh:path sfb1394:parentSampleId ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Parent sample ID"@en, "Parent sample ID"@de ;
. 

coscineSfb1394TEM:anyDataSetToBeLinkedWithThisExperiment 
  sh:path sfb1394:anyDataSetToBeLinkedWithThisExperiment ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Any data set to be linked with this experiment"@en, "Any data set to be linked with this experiment"@de ;
. 

coscineSfb1394TEM:TestingEnv 
  sh:path sfb1394:TestingEnv ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental protection during sample processing"@en, "Environmental protection during sample processing"@de ;
. 

coscineSfb1394TEM:pre-treatment 
  sh:path sfb1394:pre-treatment ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Pre-treatment"@en, "Pre-treatment"@de ;
. 

coscineSfb1394TEM:measurementPosition 
  sh:path sfb1394:measurementPosition ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Measurement position"@en, "Measurement position"@de ;
. 

coscineSfb1394TEM:acceleratingVoltage 
  sh:path sfb1394:acceleratingVoltage ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Accelerating voltage [kV]"@en, "Accelerating voltage [kV]"@de ;
  qudt:Unit unit:KiloV ;
. 

coscineSfb1394TEM:current 
  sh:path sfb1394:current ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Current [mA]"@en, "Current [mA]"@de ;
  qudt:Unit unit:MilliA ;
. 

coscineSfb1394TEM:acquisitionMode 
  sh:path sfb1394:acquisitionMode ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Acquisition mode"@en, "Acquisition mode"@de ;
. 

coscineSfb1394TEM:workingDistance 
  sh:path sfb1394:workingDistance ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Working distance [mm]"@en, "Working distance [mm]"@de ;
  qudt:Unit unit:MilliM ;
. 

coscineSfb1394TEM:lightingMode 
  sh:path sfb1394:lightingMode ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:name "Lighting mode"@en, "Lighting mode"@de ;
  sh:class <http://purl.org/coscine/vocabularies/sfb1394/Lightingmode> ; 
. 

coscineSfb1394TEM:operationMode 
  sh:path sfb1394:operationMode ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operation mode"@en, "Operation mode"@de ;
. 

coscineSfb1394TEM:magnificationTEM 
  sh:path sfb1394:magnificationTEM ;
  sh:order 23 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Magnification / Camera length [mm]"@en, "Magnification / Camera length [mm]"@de ;
  qudt:Unit unit:MilliM ;
. 

coscineSfb1394TEM:electronSource 
  sh:path sfb1394:electronSource ;
  sh:order 24 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Electron source"@en, "Electron source"@de ;
. 

coscineSfb1394TEM:electronDose 
  sh:path sfb1394:electronDose ;
  sh:order 25 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Electron dose [e/nm²]"@en, "Electron dose [e/nm²]"@de ;
  qudt:Unit unit:E-PER-NanoM2 ;
. 

coscineSfb1394TEM:dwellTime 
  sh:path sfb1394:dwellTime ;
  sh:order 26 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Dwell time [ms]"@en, "Dwell time [ms]"@de ;
  qudt:Unit unit:MilliSec ;
. 

coscineSfb1394TEM:dataDimension 
  sh:path sfb1394:dataDimension ;
  sh:order 27 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Data dimension"@en, "Data dimension"@de ;
. 

coscineSfb1394TEM:1stDimensionUnit 
  sh:path sfb1394:1stDimensionUnit ;
  sh:order 28 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "1st dimension unit"@en, "1st dimension unit"@de ;
. 

coscineSfb1394TEM:1stDimensionPixels 
  sh:path sfb1394:1stDimensionPixels ;
  sh:order 29 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "1st dimension pixels"@en, "1st dimension pixels"@de ;
. 

coscineSfb1394TEM:1stDimensionUnitScaling 
  sh:path sfb1394:1stDimensionUnitScaling ;
  sh:order 30 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "1st dimension unit scaling"@en, "1st dimension unit scaling"@de ;
. 

coscineSfb1394TEM:1stDimensionStartingPixel 
  sh:path sfb1394:1stDimensionStartingPixel ;
  sh:order 31 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "1st dimension starting pixel"@en, "1st dimension starting pixel"@de ;
. 

coscineSfb1394TEM:2ndDimensionUnit 
  sh:path sfb1394:2ndDimensionUnit ;
  sh:order 32 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "2nd dimension unit"@en, "2nd dimension unit"@de ;
. 

coscineSfb1394TEM:2ndDimensionPixels 
  sh:path sfb1394:2ndDimensionPixels ;
  sh:order 33 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "2nd dimension pixels"@en, "2nd dimension pixels"@de ;
. 

coscineSfb1394TEM:2ndDimensionUnitScaling 
  sh:path sfb1394:2ndDimensionUnitScaling ;
  sh:order 34 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "2nd dimension unit scaling"@en, "2nd dimension unit scaling"@de ;
. 

coscineSfb1394TEM:2ndDimensionStartingPixel 
  sh:path sfb1394:2ndDimensionStartingPixel ;
  sh:order 35 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "2nd dimension starting pixel"@en, "2nd dimension starting pixel"@de ;
. 

coscineSfb1394TEM:3rdDimensionUnit 
  sh:path sfb1394:3rdDimensionUnit ;
  sh:order 36 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "3rd dimension unit"@en, "3rd dimension unit"@de ;
. 

coscineSfb1394TEM:3rdDimensionPixels 
  sh:path sfb1394:3rdDimensionPixels ;
  sh:order 37 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "3rd dimension pixels"@en, "3rd dimension pixels"@de ;
. 

coscineSfb1394TEM:3rdDimensionUnitScaling 
  sh:path sfb1394:3rdDimensionUnitScaling ;
  sh:order 38 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "3rd dimension unit scaling"@en, "3rd dimension unit scaling"@de ;
. 

coscineSfb1394TEM:3rdDimensionStartingPixel 
  sh:path sfb1394:3rdDimensionStartingPixel ;
  sh:order 39 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "3rd dimension starting pixel"@en, "3rd dimension starting pixel"@de ;
. 

coscineSfb1394TEM:otherDimensionsInfo 
  sh:path sfb1394:otherDimensionsInfo ;
  sh:order 40 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Other dimensions info"@en, "Other dimensions info"@de ;
. 

coscineSfb1394TEM:measurementDateTime 
  sh:path sfb1394:measurementDateTime ;
  sh:order 41 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Measurement date"@en, "Measurement date"@de ;
. 

coscineSfb1394TEM:comments 
  sh:path sfb1394:comments ;
  sh:order 42 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
